drt-tools-nmu-transition(1)

NAME
drt-tools-nmu-transition - Prepare and schedule binNMUs for a transition

SYNOPSIS
drt-tools nmu-transition <-m|--message> [--bp] [--dw] [--extra-depends] [-v|--verbose]... [-q|--quiet]... [-s|--suite] [-a|--architecture] [-h|--help] [INPUT]

DESCRIPTION
Prepare and schedule binNMUs for a transition.

This command expects a list of packages with their respective versions from ben. Each line should look like this:

haskell-pandoc-citeproc [build logs] (0.17.0.1-1) ✘ ✘ ✘ ✘ ✘ ✘ ✘ ✘ ✘

Note that any information from ben except the source package and the version are ignored. Per default, binNMUs are scheduled with ANY in unstable.

The list of packages can be either given on the standard input or they are read from a file.

OPTIONS

-m, --message <MESSAGE>
    Message for binNMUs

--bp <BUILD_PRIORITY>
    Build priority

    If specified, the binNMUs are scheduled with the given build priority. Builds with a positive priority will be built earlier.

--dw <DEP_WAIT>
    Dependency-wait

    If specified, the builds will wait until the given dependency relation is satisfied.

--extra-depends <EXTRA_DEPENDS>
    Extra dependencies

    If specified, the given dependency will be installed during the build.

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

-s, --suite <SUITE> [default: unstable]
    Suite for binNMUs

-a, --architecture <ARCHITECTURE>
    Architectures for binNMUs

    If no architectures are specified, the binNMUs are scheduled with ANY. Otherwise, the architectures specified here are taken. The option supports the special architecture `ANY` as well as removing architectures from `ANY` by specifying `-$arch`.

-h, --help
    Print help (see a summary with '-h')

[INPUT]
    Input file with a list of packages

    If not specified, the list of packages will be read from the standard input.